SoulFire LogoSoulFire

Validate script

Validates a script graph without saving it. Returns all diagnostics (errors and warnings) for the given nodes and edges. Useful for live validation in the editor without requiring a save.

POST
/v1/instances/p0/scripts:validate

Validates a script graph without saving it. Returns all diagnostics (errors and warnings) for the given nodes and edges. Useful for live validation in the editor without requiring a save.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string

The instance context for validation.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

nodes.id*string
nodes.type*string
nodes.position.x*number
Formatdouble
nodes.position.y*number
Formatdouble
nodes.data?array<>
nodes.muted*boolean
nodes.collapsed*boolean
nodes.width?number
Formatdouble
nodes.height?number
Formatdouble
nodes.contained_nodes?array<string>
nodes.label?string
nodes.resolved_type?
nodes.parent_frame_id*string
edges.id*string
edges.source*string
edges.source_handle*string
edges.target*string
edges.target_handle*string
edges.edge_type*

Response Body

application/json

application/json

application/json

application/json

curl -X POST "http://127.0.0.1:38765/v1/instances/p0/scripts:validate" \  -H "Content-Type: application/json" \  -d '{    "nodes.id": "string",    "nodes.type": "string",    "nodes.position.x": 0.1,    "nodes.position.y": 0.1,    "nodes.muted": true,    "nodes.collapsed": true,    "nodes.parent_frame_id": "string",    "edges.id": "string",    "edges.source": "string",    "edges.source_handle": "string",    "edges.target": "string",    "edges.target_handle": "string",    "edges.edge_type": {}  }'
{  "diagnostics": [    {      "node_id": "string",      "edge_id": "string",      "message": "string",      "severity": "DIAGNOSTIC_ERROR"    }  ]}

How is this page?